package caches

import (
	"crypto/tls"
	"sync"
)

var (
	Accepted  = make(map[string]string)
	AcceptedM sync.RWMutex

	Rejected  = make(map[string]string)
	RejectedM sync.RWMutex

	HTTPAuthCache  = make(map[string][2]string)
	HTTPAuthCacheM sync.RWMutex

	TLSAuthCache  = make(map[string]*tls.Certificate)
	TLSAuthCacheM sync.RWMutex

	Spies  = make([]string, 0)
	SpiesM sync.RWMutex

	Restricted  = make(map[string][]string)
	RestrictedM sync.RWMutex
)
